case $CONFIG in
'')
	if test -f config.sh; then TOP=.;
	elif test -f ../config.sh; then TOP=..;
	elif test -f ../../config.sh; then TOP=../..;
	elif test -f ../../../config.sh; then TOP=../../..;
	elif test -f ../../../../config.sh; then TOP=../../../..;
	else
		echo "Can't find config.sh."; exit 1
	fi
	. $TOP/config.sh
	;;
esac
: This forces SH files to create target in same directory as SH file.
: This is so that make depend always knows where to find SH derivatives.
case "$0" in
*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
esac
echo "Extracting Include/Makefile (with variable substitutions)"
: This section of the file will have variable substitutions done on it.
: Move anything that needs config subs from !NO!SUBS! section to !GROK!THIS!.
: Protect any dollar signs and backticks that you do not want interpreted
: by putting a backslash in front.  You may delete these comments.
$spitshell >Makefile <<!GROK!THIS!
CC = $cc

RM = rm -f
!GROK!THIS!

: In the following dollars and backticks do not need the extra backslash.
$spitshell >>Makefile <<'!NO!SUBS!'

all: ImpSize ImpLibSize

ImpSize: ImpSize.c Imperium.h Request.h ../Library/Scan.h ../Library/ImpPrivate.h
	$(CC) -s -o ImpSize ImpSize.c
ImpLibSize: ImpLibSize.c ImpLib.h
	$(CC) -s -o ImpLibSize ImpLibSize.c

clean:
	-$(RM) ImpSize ImpLibSize *.o
!NO!SUBS!
chmod 644 Makefile
$eunicefix Makefile
